Revenue analytics
curl --request GET \
--url https://api.zeroclick.io/v1/analytics/revenue \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeroclick.io/v1/analytics/revenue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/analytics/revenue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"revenue": {
"days": 123,
"revenueUsd": "<string>",
"previousRevenueUsd": "<string>",
"averageTransactionUsd": "<string>",
"lifetimeRevenueUsd": "<string>",
"lifetimeTransactions": 123,
"revenueByDay": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
],
"revenueBySeller": [
{
"seller": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"transactions": 123,
"revenueUsd": "<string>"
}
],
"revenueByMeter": [
{
"service": {
"id": "<string>",
"name": "<string>"
},
"meterKey": "<string>",
"transactions": 123,
"revenueUsd": "<string>"
}
],
"revenueByService": [
{
"service": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"transactions": 123,
"revenueUsd": "<string>",
"previousRevenueUsd": "<string>"
}
],
"unattributedRevenueUsd": "<string>",
"series": {
"service": [
{
"key": "<string>",
"label": "<string>",
"points": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
]
}
],
"buyer": [
{
"key": "<string>",
"label": "<string>",
"points": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
]
}
],
"method": [
{
"key": "<string>",
"label": "<string>",
"points": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
]
}
],
"arrival": [
{
"key": "<string>",
"label": "<string>",
"points": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
]
}
]
}
}
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}Analytics
Revenue analytics
Aggregates settled revenue, average paid transaction, lifetime totals, revenue per service, and the per-day split series (service, new vs returning buyer, payment method, arrival channel) for the authenticated organization; sellerId scopes to a store and serviceId to one of its services.
GET
/
v1
/
analytics
/
revenue
Revenue analytics
curl --request GET \
--url https://api.zeroclick.io/v1/analytics/revenue \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeroclick.io/v1/analytics/revenue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/analytics/revenue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"revenue": {
"days": 123,
"revenueUsd": "<string>",
"previousRevenueUsd": "<string>",
"averageTransactionUsd": "<string>",
"lifetimeRevenueUsd": "<string>",
"lifetimeTransactions": 123,
"revenueByDay": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
],
"revenueBySeller": [
{
"seller": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"transactions": 123,
"revenueUsd": "<string>"
}
],
"revenueByMeter": [
{
"service": {
"id": "<string>",
"name": "<string>"
},
"meterKey": "<string>",
"transactions": 123,
"revenueUsd": "<string>"
}
],
"revenueByService": [
{
"service": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"transactions": 123,
"revenueUsd": "<string>",
"previousRevenueUsd": "<string>"
}
],
"unattributedRevenueUsd": "<string>",
"series": {
"service": [
{
"key": "<string>",
"label": "<string>",
"points": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
]
}
],
"buyer": [
{
"key": "<string>",
"label": "<string>",
"points": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
]
}
],
"method": [
{
"key": "<string>",
"label": "<string>",
"points": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
]
}
],
"arrival": [
{
"key": "<string>",
"label": "<string>",
"points": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
]
}
]
}
}
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}Authorizations
API key created in the ZeroClick dashboard under Settings → API keys. Keys start with zc_. Send them as Authorization: Bearer zc_....
Query Parameters
Available options:
all Minimum string length:
1Minimum string length:
1Available options:
include Available options:
include Response
Default Response
Show child attributes
Show child attributes